Bug 413740

Summary: Korganizer crashes when setting categories colors
Product: [Applications] korganizer Reporter: Andres Nogueiras <aaugusto>
Component: generalAssignee: kdepim bugs <kdepim-bugs>
Status: NEEDSINFO WAITINGFORINFO    
Severity: crash CC: aaugusto, andreas.hencke, rb, santosh, whatifgodwasoneofus, zerg2000-bugs.kde.org
Priority: NOR Keywords: drkonqi
Version: 5.10.3   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
attachment-25344-0.html

Description Andres Nogueiras 2019-11-02 12:26:09 UTC
Application: korganizer (5.10.3)

Qt Version: 5.9.7
Frameworks Version: 5.55.0
Operating System: Linux 4.12.14-lp151.28.20-default x86_64
Distribution: "openSUSE Leap 15.1"

-- Information about the crash:
- What I was doing when the application crashed:

Import my *.ics calendar to new machine

Open categories, and then create a category that is in the calendar

Open preferences in korganizer, and try to set a color for the new category

The crash can be reproduced every time.

-- Backtrace:
Application: KOrganizer (korganizer), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fea2e0ab940 (LWP 7371))]

Thread 7 (Thread 0x7fe9f28e0700 (LWP 7405)):
#0  0x00007fea20fed8ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fea1a0d5574 in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007fea1a0d55b9 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007fea20fe7569 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fea298549ef in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fe9f3c83700 (LWP 7390)):
#0  0x00007fea20fed8ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fe9f4b406cb in ?? () from /usr/lib64/dri/i965_dri.so
#2  0x00007fe9f4b402b7 in ?? () from /usr/lib64/dri/i965_dri.so
#3  0x00007fea20fe7569 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fea298549ef in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fea03fff700 (LWP 7387)):
#0  0x00007fea1f126bee in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fea1f127150 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fea1f1272bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fea2a3a796b in QEventDispatcherGlib::processEvents (this=0x7fe9f8000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007fea2a34c90a in QEventLoop::exec (this=this@entry=0x7fea03ffec70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007fea2a16adaa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#6  0x00007fea2a16fced in QThreadPrivate::start (arg=0x5586c06c6280) at thread/qthread_unix.cpp:368
#7  0x00007fea20fe7569 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fea298549ef in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fea08c4b700 (LWP 7385)):
#0  0x00007fea29845c98 in read () from /lib64/libc.so.6
#1  0x00007fea1f16bca0 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fea1f126cb8 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fea1f127150 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fea1f1272bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fea2a3a796b in QEventDispatcherGlib::processEvents (this=0x7fe9fc000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007fea2a34c90a in QEventLoop::exec (this=this@entry=0x7fea08c4ac70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007fea2a16adaa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#8  0x00007fea2a16fced in QThreadPrivate::start (arg=0x5586c0682aa0) at thread/qthread_unix.cpp:368
#9  0x00007fea20fe7569 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fea298549ef in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fea09e6c700 (LWP 7374)):
#0  0x00007fea29845c98 in read () from /lib64/libc.so.6
#1  0x00007fea1f16bca0 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fea1f126cb8 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fea1f127150 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fea1f1272bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fea2a3a796b in QEventDispatcherGlib::processEvents (this=0x7fea04000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007fea2a34c90a in QEventLoop::exec (this=this@entry=0x7fea09e6bc40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007fea2a16adaa in QThread::exec (this=<optimized out>) at thread/qthread.cpp:515
#8  0x00007fea28ad29e5 in ?? () from /usr/lib64/libQt5DBus.so.5
#9  0x00007fea2a16fced in QThreadPrivate::start (arg=0x7fea28d45d60) at thread/qthread_unix.cpp:368
#10 0x00007fea20fe7569 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fea298549ef in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fea110a1700 (LWP 7373)):
#0  0x00007fea2984a19b in poll () from /lib64/libc.so.6
#1  0x00007fea1ecb8307 in _xcb_conn_wait () from /usr/lib64/libxcb.so.1
#2  0x00007fea1ecb9f3a in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007fea13c50939 in ?? () from /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007fea2a16fced in QThreadPrivate::start (arg=0x5586c059fb10) at thread/qthread_unix.cpp:368
#5  0x00007fea20fe7569 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fea298549ef in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fea2e0ab940 (LWP 7371)):
[KCrash Handler]
#6  std::__atomic_base<int>::load (__m=std::memory_order_relaxed, this=0x18) at /usr/include/c++/7/bits/atomic_base.h:396
#7  QAtomicOps<int>::load<int> (_q_value=...) at ../../include/QtCore/../../src/corelib/arch/qatomic_cxx11.h:227
#8  QBasicAtomicInteger<int>::load (this=0x18) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:102
#9  QtPrivate::RefCount::ref (this=0x18) at ../../include/QtCore/../../src/corelib/tools/qrefcount.h:55
#10 0x00007fea2a2f3c24 in QVector<QPersistentModelIndexData*>::QVector (this=0x7ffc07e0d0a0, v=...) at ../../include/QtCore/../../src/corelib/tools/qvector.h:353
#11 0x00007fea2a2f469a in QStack<QVector<QPersistentModelIndexData*> >::pop (this=this@entry=0x5586c1d46da0) at ../../include/QtCore/../../src/corelib/tools/qstack.h:62
#12 0x00007fea2a2ed8e2 in QAbstractItemModelPrivate::itemsMoved (this=this@entry=0x5586c1d46d20, sourceParent=..., sourceFirst=sourceFirst@entry=16777215, sourceLast=sourceLast@entry=60, destinationParent=..., destinationChild=destinationChild@entry=2, orientation=Qt::Vertical) at itemmodels/qabstractitemmodel.cpp:796
#13 0x00007fea2a2f0e5b in QAbstractItemModel::endMoveRows (this=0x5586c1d46d00) at itemmodels/qabstractitemmodel.cpp:2941
#14 0x00007fea2669f927 in ?? () from /usr/lib64/libKF5AkonadiCore.so.5
#15 0x00007fea2669cf9d in ?? () from /usr/lib64/libKF5AkonadiCore.so.5
#16 0x00007fea2a37d535 in QMetaObject::activate (sender=0x5586c1d45670, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3767
#17 0x00007fea265b6125 in Akonadi::Monitor::tagChanged(Akonadi::Tag const&) () from /usr/lib64/libKF5AkonadiCore.so.5
#18 0x00007fea265c09ea in Akonadi::MonitorPrivate::emitTagNotification(Akonadi::Protocol::TagChangeNotification const&, Akonadi::Tag const&) () from /usr/lib64/libKF5AkonadiCore.so.5
#19 0x00007fea265c5026 in Akonadi::MonitorPrivate::emitNotification(QSharedPointer<Akonadi::Protocol::ChangeNotification> const&) () from /usr/lib64/libKF5AkonadiCore.so.5
#20 0x00007fea265c34fc in Akonadi::MonitorPrivate::dispatchNotifications() () from /usr/lib64/libKF5AkonadiCore.so.5
#21 0x00007fea265c3699 in Akonadi::MonitorPrivate::slotNotify(QSharedPointer<Akonadi::Protocol::ChangeNotification> const&) () from /usr/lib64/libKF5AkonadiCore.so.5
#22 0x00007fea265c613c in Akonadi::MonitorPrivate::handleCommands() () from /usr/lib64/libKF5AkonadiCore.so.5
#23 0x00007fea2a37e0a2 in QObject::event (this=0x5586c1d45670, e=<optimized out>) at kernel/qobject.cpp:1247
#24 0x00007fea2b3593dc in QApplicationPrivate::notify_helper (this=this@entry=0x5586c055f290, receiver=receiver@entry=0x5586c1d45670, e=e@entry=0x7fe9fc07f860) at kernel/qapplication.cpp:3723
#25 0x00007fea2b360ca4 in QApplication::notify (this=0x7ffc07e0de50, receiver=0x5586c1d45670, e=0x7fe9fc07f860) at kernel/qapplication.cpp:3482
#26 0x00007fea2a34e8d8 in QCoreApplication::notifyInternal2 (receiver=0x5586c1d45670, event=event@entry=0x7fe9fc07f860) at kernel/qcoreapplication.cpp:1024
#27 0x00007fea2a35104d in QCoreApplication::sendEvent (event=0x7fe9fc07f860, receiver=<optimized out>) at kernel/qcoreapplication.h:233
#28 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x5586c0565400) at kernel/qcoreapplication.cpp:1699
#29 0x00007fea2a3515d8 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1553
#30 0x00007fea2a3a8323 in postEventSourceDispatch (s=0x5586c05de6b0) at kernel/qeventdispatcher_glib.cpp:276
#31 0x00007fea1f126e87 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#32 0x00007fea1f127230 in ?? () from /usr/lib64/libglib-2.0.so.0
#33 0x00007fea1f1272bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#34 0x00007fea2a3a794f in QEventDispatcherGlib::processEvents (this=0x5586c05e2400, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#35 0x00007fea2a34c90a in QEventLoop::exec (this=this@entry=0x7ffc07e0dd70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#36 0x00007fea2a3559b4 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1297
#37 0x00005586be6d777c in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/korganizer-18.12.3-lp151.1.3.x86_64/src/main.cpp:64
[Inferior 1 (process 7371) detached]

Possible duplicates by query: bug 413706, bug 413301, bug 411886, bug 410782, bug 410345.

Reported using DrKonqi
Comment 1 Andres Nogueiras 2019-11-12 16:29:19 UTC
Created attachment 123866 [details]
New crash information added by DrKonqi

korganizer (5.10.3) using Qt 5.9.7

- What I was doing when the application crashed:

I was trying to set the colors of a new cathegory

-- Backtrace (Reduced):
#6  std::__atomic_base<int>::load (__m=std::memory_order_relaxed, this=0x18) at /usr/include/c++/7/bits/atomic_base.h:396
#7  QAtomicOps<int>::load<int> (_q_value=...) at ../../include/QtCore/../../src/corelib/arch/qatomic_cxx11.h:227
#8  QBasicAtomicInteger<int>::load (this=0x18) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:102
[...]
#10 0x00007fd22e685c24 in QVector<QPersistentModelIndexData*>::QVector (this=0x7ffd6c29bae0, v=...) at ../../include/QtCore/../../src/corelib/tools/qvector.h:353
#11 0x00007fd22e68669a in QStack<QVector<QPersistentModelIndexData*> >::pop (this=this@entry=0x559ba0e11580) at ../../include/QtCore/../../src/corelib/tools/qstack.h:62
Comment 2 Andres Nogueiras 2019-11-22 10:59:36 UTC
Created attachment 124062 [details]
New crash information added by DrKonqi

korganizer (5.10.3) using Qt 5.9.7

- What I was doing when the application crashed:

Create new entry on my calendar. Close it. (All ok)

Create a  new category in Korganizer. (All ok)

Open previous entry on calendar, and set the category to the newly created. Close it. (All ok)

Open, from menu, configuration of korganizer, choose to change colors, pick the recently created category and select color. After clicking OK, korganizer dies.

-- Backtrace (Reduced):
#6  std::__atomic_base<int>::load (__m=std::memory_order_relaxed, this=0x18) at /usr/include/c++/7/bits/atomic_base.h:396
#7  QAtomicOps<int>::load<int> (_q_value=...) at ../../include/QtCore/../../src/corelib/arch/qatomic_cxx11.h:227
#8  QBasicAtomicInteger<int>::load (this=0x18) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:102
[...]
#10 0x00007fb221cd4c24 in QVector<QPersistentModelIndexData*>::QVector (this=0x7fff22b421b0, v=...) at ../../include/QtCore/../../src/corelib/tools/qvector.h:353
#11 0x00007fb221cd569a in QStack<QVector<QPersistentModelIndexData*> >::pop (this=this@entry=0x55b8e19ab9a0) at ../../include/QtCore/../../src/corelib/tools/qstack.h:62
Comment 3 Andreas Hencke 2019-12-02 20:16:22 UTC
Created attachment 124278 [details]
New crash information added by DrKonqi

kontact (5.11.3) using Qt 5.12.4

- What I was doing when the application crashed
I imported a new .ics calendar an merged it to an existing calendar. Afterwards I opened korganizer/cusomize/colors and fonts to set the category colors.
After clickin the "set" (in german Anwenden) button Kontact/Korganizer crashed.
This happens everytime.

-- Backtrace (Reduced):
#6  0x00007ff49aa4ec53 in  () at /lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007ff49aa49411 in QAbstractItemModelPrivate::itemsMoved(QModelIndex const&, int, int, QModelIndex const&, int, Qt::Orientation) () at /lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007ff49aa4bc1b in QAbstractItemModel::endMoveRows() () at /lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007ff49a2cda0e in  () at /lib/x86_64-linux-gnu/libKF5AkonadiCore.so.5abi1
#10 0x00007ff49a2cab0c in  () at /lib/x86_64-linux-gnu/libKF5AkonadiCore.so.5abi1
Comment 4 Santosh 2020-05-17 02:30:56 UTC
Created attachment 128534 [details]
New crash information added by DrKonqi

korganizer (5.11.3) using Qt 5.13.2

- What I was doing when the application crashed:

Was trying to set the category colors. Select the category, select color and clicked 'apply'.

-- Backtrace (Reduced):
#6  0x00007f01256511c3 in QVector<QPersistentModelIndexData*>::QVector(QVector<QPersistentModelIndexData*> const&) () from /lib64/libQt5Core.so.5
#7  0x00007f012564b131 in QAbstractItemModelPrivate::itemsMoved(QModelIndex const&, int, int, QModelIndex const&, int, Qt::Orientation) () from /lib64/libQt5Core.so.5
#8  0x00007f012564e45c in QAbstractItemModel::endMoveRows() () from /lib64/libQt5Core.so.5
#9  0x00007f0124473cbe in Akonadi::TagModelPrivate::monitoredTagChanged(Akonadi::Tag const&) () from /lib64/libKF5AkonadiCore.so.5
#10 0x00007f0124470dcc in Akonadi::TagModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from /lib64/libKF5AkonadiCore.so.5
Comment 5 whatifgodwasoneofus 2020-06-22 20:36:30 UTC
Happens to me too, every time I attempt to change the colour from the menu "Settings|Configure KOrganizer|Colors and Fonts".

Changing the colours directly from the menu directly on the calendar list seems to work, but not all of the colours can be set that way - the colours for "Birthdays & Anniversaries", for instance.
Comment 6 Rudolf Börner 2020-07-07 07:10:53 UTC
that's an old problem; I hoped by the new installation opensuse 15.2, this is now fixed - unfortunately, no: every color change --> contact; calendar crash :-(
Comment 7 Wolfgang Bauer 2020-09-23 17:57:40 UTC
*** Bug 424742 has been marked as a duplicate of this bug. ***
Comment 8 Bartosz Kwitniewski 2020-10-31 15:05:47 UTC
Same here on Kubuntu 20.04, KOrganizer 5.13.3 (19.12.3), KDE Frameworks 5.68.0.

I have worked around the problem by editing tag colors in KMail (Settings -> configure KMail -> Appearance -> Message tags).
Comment 9 Justin Zobel 2022-10-30 00:40:35 UTC
Thank you for reporting this crash in KDE software. As it has been a while since this issue was reported, can we please ask you to see if you can reproduce the crash with a recent software version?

If you can reproduce the issue, please change the status to "REPORTED" when replying. Thank you!
Comment 10 Andreas Hencke 2022-10-30 08:33:44 UTC
No more problems so far.
Comment 11 Rudolf Börner 2022-11-09 08:19:34 UTC
Created attachment 153612 [details]
attachment-25344-0.html

It seems that working very well- now ;

Version 5.19.3 (21.12.3)



Am 30.10.22 um 02:40 schrieb Justin Zobel:
> https://bugs.kde.org/show_bug.cgi?id=413740
>
> Justin Zobel<justin.zobel@gmail.com>  changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>               Status|REPORTED                    |NEEDSINFO
>           Resolution|---                         |WAITINGFORINFO
>
> --- Comment #9 from Justin Zobel<justin.zobel@gmail.com>  ---
> Thank you for reporting this crash in KDE software. As it has been a while
> since this issue was reported, can we please ask you to see if you can
> reproduce the crash with a recent software version?
>
> If you can reproduce the issue, please change the status to "REPORTED" when
> replying. Thank you!
>
Comment 12 Bug Janitor Service 2022-11-24 05:12:00 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!